package com.example.action.screen;

import com.example.frame.base.Screen;
import com.example.module.admin.ent.NginxCtrl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.ui.Model;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

public class Mapping extends Screen {
    @Autowired
    private NginxCtrl nginxCtrl;
    @Value("${mapping.default.port}")
    private String serverPort;

    @Override
    public void exec(Model model, HttpServletRequest request, HttpServletResponse response) {
        model.addAttribute("run", nginxCtrl.isRunning() ? "true" : "false");
        model.addAttribute("serverPort", serverPort);
    }
}
